# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'hat/version'

Gem::Specification.new do |spec|
  spec.name          = 'rabbit-hat'
  spec.version       = Hat::VERSION
  spec.authors       = %w{fugufish}
  spec.email         = %w{jarod@solidalchemy.com}

  spec.summary       = %q{A lightweight RabbitMQ worker library.}
  spec.description   = %q{Hat is a light weight distributed worker framework backed by RabbitMQ built on top of Bunny}
  spec.homepage      = 'http://libfugu.so'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency 'thor',         '~>0.19'
  spec.add_dependency 'serverengine', '~>1.5'
  spec.add_dependency 'bunny',        '~>1.7'
  spec.add_dependency 'hashie'

  spec.add_development_dependency 'bundler', '~> 1.8'
  spec.add_development_dependency 'rake',    '~> 10.0'
end
